Subject: Re: sshd must be restarted
From: "Ken Senior" <[email-masked]>
To: <[email-masked]>, "Chris Taylor" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 6 Jan 2006 12:39:35 -0000

Great. I have made said attachment.  One interesting oddity about my
installation is that I have two usernames which are identical, one for our
Windows domain and one for the administrator account on my PC.  I made
sure to give both accounts admin privileges locally on the machine, but
that seems not always to work.  I also noticed when I installed cygwin
(yesterday) that the installation correctly recognized both accounts and
indeed created two entries in /etc/passwd.  I was way impressed in my
minimal IT experience.  However, I have noticed that various pieces of the
installation were confused about what was my home directory.  Some
packages (SSH) think the home page should be /home/senior whereas the
default bash shell thinks it's located in /cygdrive/c/Documents and
Settings/senior.DOMAIN. 

Now, regarding installation of the sshd service.  I simply ran the
'/usr/bin/ssh-host-config -y' command followed by 'cygrunsrv -S sshd'

This all sounds like a cruel permissions problem, yuck!

-K

On Fri, Jan 6, 2006, Chris Taylor <[email-masked]> said:

> Ken Senior wrote:
>> Does anyone know why after a Windows XP reboot one must restart the SSH
>> daemon in order to allow incoming ssh?  The process is automatically
>> running after a reboot but all incoming SSH from remote clients are
>> terminated with the following message being displayed on the remote
>> client:
>> 
>> ssh_exchange_identification: Connection closed by remote host
>> 
>> Restarting the daemon, either in Windows services or on the bash command
>> line, fixes the problem allowing in ssh traffic once again. ??
>> 
>> Thanks,
>> 
>> Ken Senior
>> 
> 
> Never had to do that here .. (otherwise known as WFM)
> 
> Please follow the instructions here, with emphasis on *attaching* 
> cygcheck.out :
>> Problem reports:       http://cygwin.com/problems.html
> 
> Also, if you could include details on how you installed the service - 
> especially if you didn't use the standard method.
> 
> 
> Chris
> 
> -- 
> 
> Spinning complacently in the darkness, covered and blinded by a blanket
> of little lives, false security has lulled the madness of this world
> into a slumber. Wake up! An eye is upon you, staring straight down and
> keenly through, seeing all that you are and everything that you will
> never be. Yes, an eye is upon you, an eye ready to blink. So face
> forward, with arms wide open and mind reeling. Your future has
> arrived... Are you ready to go?
> 

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/